Subject: bug#63514: alacritty>=0.12.0 does not work with Wayland

From: Lars-Dominik Braun <[email-masked]>
Date: Mon, 15 May 2023 11:07:50 +0200

Hi,

> easy reproducer: 'DISPLAY="" alacritty' gives the same error.

that’s exactly what I used under Wayland, otherwise it’ll fall back
to XWayland with ugly font rendering (because of my hidpi monitor).

> Do you know if the X11 error is also a problem?

Not sure what you mean. As I wrote it works with XWayland, so I’m
guessing X11 is not broken.

Thank you,
Lars

PS: What *is* entirely broken is swaylock, which also got updated
recently:

wl_registry@2: error 0: invalid version for global wl_output (39): have 3, wanted 4